Subject: Re: [Xen-devel] [PATCH] net/bridge: Add missing in6_dev_put in br_validate_ipv6

From: Julien Grall <[email-masked]>
Date: Mon, 6 Jul 2015 12:32:43 +0100

On 06/07/15 12:19, Florian Westphal wrote:
> Julien Grall <[email-masked]> wrote:
>> On 03/07/15 21:42, Florian Westphal wrote:
>>> I think it makes more sense to use __in6_dev_get() instead which doesn't
>>> take a reference.
>>
>> __in6_dev_get requires to hold rcu_read_lock or RTNL. My knowledge on
>> this code is very limited. Are we sure that one this lock is hold? At
>> first glance, I wasn't able to find one.
> 
> All netfilter hooks are rcu_read_locked via nf_hook_slow().

Ok. I will resend the patch with __in6_dev_get.

> BTW, netfilter patches should be sent to [email-masked].

I used scripts/get_maintainer.pl which doesn't provide this mailing list
for net/bridge/br_netfilter*.c

Regards,

-- 
Julien Grall